
QGIS Application - Bug report #17624

i"nstall plugin from zip" stopped to work on Windows

2017-12-04 05:39 PM - Tom Chadwin

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25521

Description

    1. Open plugin manager

    2. Install from ZIP

    3. Browse to plugin zipfile

    4. Install plugin

I get:

An error occurred during execution of following code:

pyplugin_installer.instance().installFromZipFile('C:\Users\tchadwin\Downloads\qgis-latlontools-plugin.zip')

  File "", line 1

SyntaxError: (unicode error) 'unicodeescape' codec can't decode bytes in position 2-3: truncated \UXXXXXXXX escape

Python version:

3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]

QGIS version:

2.99.0-Master 'Master', 57dc9deb06

Python path:

['C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing', 'C:/OSGEO4~1/apps/qgis-dev/./python',

'C:/Users/tchadwin/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python',

'C:/Users/tchadwin/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python/plugins',

'C:/OSGEO4~1/apps/qgis-dev/./python/plugins', 'C:\\OSGeo4W64\\bin\\python36.zip', 'C:\\OSGEO4~1\\apps\\Python36\\DLLs',

'C:\\OSGEO4~1\\apps\\Python36\\lib', 'C:\\OSGeo4W64\\bin', 'C:\\OSGEO4~1\\apps\\Python36',

'C:\\OSGEO4~1\\apps\\Python36\\lib\\site-packages',

'C:/Users/tchadwin/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python', 'C:/Users/tchadwin/Desktop']

Tested on qgis2web (Github master) and LatLong Tools (Github master)

Associated revisions

Revision f180ea44 - 2017-12-04 06:37 PM - Borys Jurgiel

[Plugin manager] Use raw string for zip file path to avoid escaping '\U' in C:\Users. Fixes #17624

History
#1 - 2017-12-04 05:40 PM - Tom Chadwin

Tested against QGIS 57dc9deb06

#2 - 2017-12-04 05:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

It works with other plugins, so seems something specific to the plugins you tested.

#3 - 2017-12-04 05:52 PM - Tom Chadwin

If you can upload a known working zip (or link to one), I can test that.

#4 - 2017-12-04 05:53 PM - Giovanni Manghi

Tom Chadwin wrote:

If you can upload a known working zip (or link to one), I can test that.

this

https://github.com/enricofer/go2mapillary/archive/master.zip

worked here on master/ubuntu.

#5 - 2017-12-04 05:55 PM - Tom Chadwin

Same result with that zip:

An error occurred during execution of following code:

pyplugin_installer.instance().installFromZipFile('C:\Users\tchadwin\Downloads\go2mapillary-master.zip')

  File "", line 1

SyntaxError: (unicode error) 'unicodeescape' codec can't decode bytes in position 2-3: truncated \UXXXXXXXX escape

Python version:

3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]

QGIS version:

2.99.0-Master 'Master', 57dc9deb06

Python path:

['C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing', 'C:/OSGEO4~1/apps/qgis-dev/./python',

'C:/Users/tchadwin/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python',

'C:/Users/tchadwin/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python/plugins', 'C:/OSGEO4~1/apps/qgis-dev/./python/plugins',

'C:\\OSGeo4W64\\bin\\python36.zip', 'C:\\OSGEO4~1\\apps\\Python36\\DLLs', 'C:\\OSGEO4~1\\apps\\Python36\\lib', 'C:\\OSGeo4W64\\bin',

'C:\\OSGEO4~1\\apps\\Python36', 'C:\\OSGEO4~1\\apps\\Python36\\lib\\site-packages',

'C:/Users/tchadwin/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python', 'C:/Users/tchadwin/Desktop']
#6 - 2017-12-04 05:57 PM - Borys Jurgiel

Giovanni, I'm pretty sure it's windows (backslash) thing.

#7 - 2017-12-04 06:17 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Operating System changed from Windows 7 x64 to Windows

- Status changed from Feedback to Open

- Subject changed from Cannot install plugin from zip file to i"nstall plugin from zip" stopped to work on Windows

#8 - 2017-12-04 06:37 PM - Borys Jurgiel

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f180ea4454740ecf2fe8adf5ec53233a2888b0b8.

#9 - 2017-12-04 06:39 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#10 - 2017-12-04 06:41 PM - Borys Jurgiel

Tom, could you please verify it tomorrow with the real build and reopen if necessary? I did some dummy tests and I believe it will work.

#11 - 2017-12-04 06:43 PM - Tom Chadwin

Will do. Thanks!

#12 - 2017-12-04 06:57 PM - Borys Jurgiel

For now, you can install from other directories - just avoid the "\U" special character (like in "C:\Users").

Ah, and when investigating the issue, I found a few other bugs and created #17626 . It seems the newly installed plugin is not included to the installed

plugins list, so you can't tick the checkbox to enable it (btw. the fastest way to refresh the list is the Settings tab -> "Reload all repositories"). Feel free to

add more annoying bugs there - I'm going to get down to it in a few days.

#13 - 2017-12-05 11:21 AM - Tom Chadwin

Fix confirmed in 32ba5bf23f. Thanks very much, everyone!
